# Get instance

`GET https://app.shuttleglobal.com/c/api/instances/{instance_id}`

Retrieve a specific instance by ID or instance_key

## Authentication

- basicAuth: Basic Authentication using secret key

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `instance_id` | path | string | yes | The instance's ID (`cl_...`), or the `instance_key` you gave it. |
| `expand` | query | string | no | Fields to expand into full objects. Available options: application, secret_key |

## Responses

### 200: Successful operation

```json
{
  "instance": {
    "id": "string",
    "name": "string",
    "instance_key": "string",
    "status": "ACTIVATING",
    "application": "string",
    "checkout_urls": [
      "string"
    ],
    "client": "string",
    "contact_email": "string",
    "contact_name": "string",
    "contact_phone": "string",
    "country": "string",
    "created": "2026-01-01T12:00:00Z",
    "domain": "string",
    "domains": [
      "string"
    ],
    "environment": "SANDBOX",
    "features": [
      "string"
    ],
    "last_contract": "2026-01-01T12:00:00Z",
    "last_transaction": "2026-01-01T12:00:00Z",
    "merchant_name": "string",
    "metadata": {},
    "parent": "string",
    "private_integrations": [
      "string"
    ],
    "processors": [
      "string"
    ],
    "receipt_format": "string",
    "receipt_users": [
      "string"
    ],
    "report_users": [
      "string"
    ],
    "retry_error_schedule": [
      0
    ],
    "retry_schedule": [
      0
    ],
    "secret_key": "string",
    "tcs_accepted": "2026-01-01T12:00:00Z",
    "tcs_accepted_user": "string",
    "tcs_outstanding": true,
    "terminated": "2026-01-01T12:00:00Z",
    "updated": "2026-01-01T12:00:00Z",
    "v": 0,
    "webhook_target": "string"
  }
}
```

### 401: Unauthorized

```json
{
  "code": "UNAUTHORIZED",
  "message": "Unauthorised"
}
```

### 404: Instance not found

```json
{
  "code": "string",
  "message": "string"
}
```

## Example request

```sh
curl --request GET \
  --url https://app.shuttleglobal.com/c/api/instances/INSTANCE_ID \
  --header 'Authorization: Basic <base64 of SECRET_KEY:>'
```

Reference page: https://docs.shuttleglobal.com/platforms/reference/platform/operations/getinstance/